Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Error :Dependency is not satifiable  (gelezen 1296 keer)

Offline jeroenl

  • Lid
  • Steunpunt: Nee
Error :Dependency is not satifiable
« Gepost op: 2008/12/29, 21:03:24 »
Ok na een fout die ik maakte ( iets met install -f)  moest ik ubuntu opnieuw installeren ik heb direct 8.10 gebrand en geinstaleerd. ( clean intall)

Nu probeer ik een stukje software te installeren en krijg ik bij hem de melding Error :Dependency is not satifiable libgnutils13
Raar want dat het ik bij ubuntu 7. ? niet :S  Maargoed die lib kan ik niet finden bij synaptic ( die overigens niet meer vanuit het menu wil starten alleen  via opdracht sudo synaptic ) Dus online kon ik hem wel vinde op de site. Maargoed.. Die lib heeft dus weer 5 andere libs nodig die ik allemaal moet downloaden en die hebben er weer 4 nodig en de volgende weer 4 al met al een heel gedoe...

Nu snap ik niet goed waarom ik die libs wel had in ubuntu 7 en nu niet, maar voornamelijk zoek ik een manier om al de libs snel te installeren.

Subvraag : hoe kan ik synaptic vanuit het menu wel goed krijgen?

 

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #1 Gepost op: 2008/12/29, 21:05:34 »
Dat Synaptic-probleem heb niet direct een antwoord op, maar dat programma'tje wat je probeert te installeren is waarschijnlijk niet compatibel met 8.10.

Offline jeroenl

  • Lid
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #2 Gepost op: 2008/12/29, 21:24:37 »
Dat Synaptic-probleem heb niet direct een antwoord op, maar dat programma'tje wat je probeert te installeren is waarschijnlijk niet compatibel met 8.10.
Dus ik mag niet aanemen dat software die werkte op 7 ook zonder problemen op 8 werkt?

Offline Nunslaughter

  • Lid
    • timovwb
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #3 Gepost op: 2008/12/29, 21:41:52 »
Hangt ervan af. Wat in Synaptic staat, al waarschijnlijk in de volgende versies er ook nog inzitten. Maar ge probeert waarschijnlijk een deb te installeren die een dependency heeft die ouder is dan wat er nu in Synaptic staat.

Offline jeroenl

  • Lid
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #4 Gepost op: 2008/12/29, 21:47:28 »
Hangt ervan af. Wat in Synaptic staat, al waarschijnlijk in de volgende versies er ook nog inzitten. Maar ge probeert waarschijnlijk een deb te installeren die een dependency heeft die ouder is dan wat er nu in Synaptic staat.
klopt in synaptic staat 26 en hij vraagt naar 13. Kan ik dat nog aanpassen ? Een nieuwere versie is er niet te vinden namelijk van die software

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #5 Gepost op: 2008/12/29, 22:06:56 »
Nu probeer ik een stukje software te installeren en krijg ik bij hem de melding Error :Dependency is not satifiable libgnutils13
Raar want dat het ik bij ubuntu 7. ? niet :S  Maargoed die lib kan ik niet finden bij synaptic ( die overigens niet meer vanuit het menu wil starten alleen  via opdracht sudo synaptic ) Dus online kon ik hem wel vinde op de site. Maargoed.. Die lib heeft dus weer 5 andere libs nodig die ik allemaal moet downloaden en die hebben er weer 4 nodig en de volgende weer 4 al met al een heel gedoe...

Nu snap ik niet goed waarom ik die libs wel had in ubuntu 7 en nu niet, maar voornamelijk zoek ik een manier om al de libs snel te installeren.

Subvraag : hoe kan ik synaptic vanuit het menu wel goed krijgen?

libgnutils13 is dus een oudere versie die in 7.... stond en deze is nu verder ontwikkeld, in 8.10 staat namelijk de 26
Kijk hier eens naar (zie punt 12): http://sites.google.com/site/computertip/directdoen
Dat is een eerste puntje dat je kan doen, of dat iets uithaald voor dat progje van jou weet ik natuurlijk niet.

Wat je eigenlijk mist is de bron waar dat pakketje vandaan kan gehaald worden en die niet vermeld staat in 'softwarebronnen'.

Het enige wat je dus kan doen is elk pakketje apart ophalen en installeren, maar dat lukt dus niet altijd (zelf ondervonden met het installeren van een progje) Kan botsen met de nieuwere versie.
Je kan natuurlijk de softwarebron van die 7... in de lijst zetten maar of dit een goed idee is... ik betwijfel het.

Welk progje is dat eigenlijk, misschien dat iemand toch weet hoe dit op te lossen en het toch te installeren.



Offline jeroenl

  • Lid
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #6 Gepost op: 2008/12/29, 22:23:54 »
Nu probeer ik een stukje software te installeren en krijg ik bij hem de melding Error :Dependency is not satifiable libgnutils13
Raar want dat het ik bij ubuntu 7. ? niet :S  Maargoed die lib kan ik niet finden bij synaptic ( die overigens niet meer vanuit het menu wil starten alleen  via opdracht sudo synaptic ) Dus online kon ik hem wel vinde op de site. Maargoed.. Die lib heeft dus weer 5 andere libs nodig die ik allemaal moet downloaden en die hebben er weer 4 nodig en de volgende weer 4 al met al een heel gedoe...

Nu snap ik niet goed waarom ik die libs wel had in ubuntu 7 en nu niet, maar voornamelijk zoek ik een manier om al de libs snel te installeren.

Subvraag : hoe kan ik synaptic vanuit het menu wel goed krijgen?

libgnutils13 is dus een oudere versie die in 7.... stond en deze is nu verder ontwikkeld, in 8.10 staat namelijk de 26
Kijk hier eens naar (zie punt 12): http://sites.google.com/site/computertip/directdoen
Dat is een eerste puntje dat je kan doen, of dat iets uithaald voor dat progje van jou weet ik natuurlijk niet.

Wat je eigenlijk mist is de bron waar dat pakketje vandaan kan gehaald worden en die niet vermeld staat in 'softwarebronnen'.

Het enige wat je dus kan doen is elk pakketje apart ophalen en installeren, maar dat lukt dus niet altijd (zelf ondervonden met het installeren van een progje) Kan botsen met de nieuwere versie.
Je kan natuurlijk de softwarebron van die 7... in de lijst zetten maar of dit een goed idee is... ik betwijfel het.

Welk progje is dat eigenlijk, misschien dat iemand toch weet hoe dit op te lossen en het toch te installeren.




He das een goede link! staan veel stappen in die ik eens uit moet voeren. Ben ik nog niet eerder tegen gekomen.
Ik merk nu dat er nog meer problemen zijn met me install. :( Nu zegt ie dat me hd vol is als ik iets binnen wil halen, ik denk dat ik iets fout heb gedaan met de partitie's instellen.. Boe boe.. 7 ging veel beter voor een leek zoals ik :D

De software waar het over gaat is zoneminder. Tevens is die software ook de reden dat ik aan ubuntu begonnen ben ;)

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #7 Gepost op: 2008/12/29, 22:33:06 »
Misschien kun je anders het pakketje compileren, dat wil nog wel eens helpen...

Offline jeroenl

  • Lid
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #8 Gepost op: 2008/12/29, 22:41:34 »
Misschien kun je anders het pakketje compileren, dat wil nog wel eens helpen...
Ja dat had ik als eerste geprobeerd. Nadeel is dat dit vrij ingewikkeld is voor een ubuntu noob :P een .deb daarintegen is gemakkelijker.
Goed ik ga eerst uitvogelen wat er mis gegaan is met me partitie's aangezien ik nu de melding krijg "  dpkg: het schrijven van een status-veld over `python-usb' naar `/var/lib/dpkg/status' is mislukt: No space left on device"

Offline jeroenl

  • Lid
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #9 Gepost op: 2008/12/29, 23:40:42 »
Ok hd probleem onder controle :P

Heb punt 12 geprobeert helaas geen verschil. Ik zal hem eens proberen te compilen voor zover me dat lukt

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #10 Gepost op: 2008/12/29, 23:43:36 »
Meestal is compilen gewoon een kwestie van build-essential en gettext installeren en daarna de volgende commando's geven:

./configure (als ie tijdens dit aangeeft dat je een bepaald pakketje mist, dan moet je die even installeren, net zo lang tot alles in
                   orde is)
make
sudo make install

Offline jeroenl

  • Lid
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #11 Gepost op: 2008/12/29, 23:51:31 »
Meestal is compilen gewoon een kwestie van build-essential en gettext installeren en daarna de volgende commando's geven:

./configure (als ie tijdens dit aangeeft dat je een bepaald pakketje mist, dan moet je die even installeren, net zo lang tot alles in
                   orde is)
make
sudo make install
ja klopt maar dit pakket gebruikt php mysql enz.. en veel juiste settings nodig heeft :( heb het al eerder geprobeert maar me kennis is nog niet ruim genoeg. Maargoed ik kom er wel met vallen en opstaan ( hoop ik)

Zit nu weer te kijken waarom me /dev/sda2/ te klein is :( zal ook wel weer iets fout gedaan hebben.

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #12 Gepost op: 2008/12/30, 02:07:50 »
He das een goede link! staan veel stappen in die ik eens uit moet voeren. Ben ik nog niet eerder tegen gekomen.
Ik merk nu dat er nog meer problemen zijn met me install.
Dat is de site van Pjotr123 een forumlid.

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Error :Dependency is not satifiable
« Reactie #13 Gepost op: 2008/12/30, 02:17:22 »
Zoneminder heb ik staan in Synaptic (9.04Alpha) dus moet ook in de andere versies zitten lijkt mij.